Subject: Re: [DMVR] Machine Shop Recommendations?

From: [email-masked]
Date: Wed, 18 Jun 2003 16:40:17 EDT

Thumbs up on Harvey's, they built motors for Lou's truck in the past and did 
a great job for us. The only reason we have a new engine builder this year is 
that the new builder signed on as a dirt truck crew member after a falling out 
with his old team.